Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.webapp
Class OverrideDescriptor

    java.lang.Object
      org.eclipse.jetty.webapp.Descriptor
          org.eclipse.jetty.webapp.WebDescriptor
              org.eclipse.jetty.webapp.OverrideDescriptor

    public class OverrideDescriptor

extends WebDescriptor

OverrideDescriptor

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.webapp.WebDescriptor
`WebDescriptor.MetaDataComplete`

Field Summary

Fields inherited from class org.eclipse.jetty.webapp.WebDescriptor
`_classNames, _distributable, _isOrdered, _majorVersion, _metaDataComplete, _minorVersion, _ordering, _parserSingleton`

Fields inherited from class org.eclipse.jetty.webapp.Descriptor
`_parser, _root, _validating, _xml`

Constructor Summary
`OverrideDescriptor(Resource xml)`

Method Summary

Methods inherited from class org.eclipse.jetty.webapp.WebDescriptor
`addClassName, ensureParser, getClassNames, getMajorVersion, getMetaDataComplete, getMinorVersion, getOrdering, isDistributable, isOrdered, newParser, parse, processOrdering, processVersion, setDistributable, setValidating`

Methods inherited from class org.eclipse.jetty.webapp.Descriptor
`getResource, getRoot, redirect`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverrideDescriptor

    public OverrideDescriptor(Resource xml)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.